const Parse = getApp().Parse;
const company = getApp().globalData.company;
const dateServ = require('../../../../../../../utils/date')
Page({

    /**
     * 页面的初始数据
     */
    data: {
        orderId: '',
        order: null,
        showReplyModal: '',
        reply:''
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        let orderId = options.id
        this.setData({
            orderId
        })
        this.getOrder()
    },


    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },
    async getOrder(){
        let Order = new Parse.Query('ShopOrder')
        Order.include('user')
        Order.include('shop')
        Order.get(this.data.orderId)
        let order = await Order.first()
        order = order.toJSON()
        order['time'] = dateServ.formatTime('YY-mm-dd HH:MM',order.updatedAt)
        console.log(order)
        this.setData({
            order
        })
    },
    showModal(){ 
        this.setData({
            showReplyModal: true
        })
    },
    closeModal(){
        this.setData({
            showReplyModal: false
        })
    },
    replyChange(event){
        console.log(event.detail);
        this.data.reply = event.detail.value;
    },
    async replyComment(){
        try {
            let Order = new Parse.Query('ShopOrder')
            Order.get(this.data.orderId)
            let order = await Order.first()
            order.set("reply",this.data.reply)
            let res = await order.save()
            if(res && res.id){
                this.getOrder()
                this.setData({
                    showReplyModal: false
                })
                wx.showToast({
                  title: '回复成功',
                  icon: 'none'
                })
            }  
        } catch (error) {
            this.setData({
                showReplyModal: false
            })
            wx.showToast({
                title: `回复失败,${error}`,
                icon: 'none'
            }) 
        }
    },
    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})